#
# spec file for package SFEfontforge.spec
#
# includes module(s): fontforge
#
%include Solaris.inc

%define src_name	fontforge

Name:                   SFEfontforge
Summary:                An outline font editor
Version:                20080203
Source:                 http://%{sf_mirror}/sourceforge/%{src_name}/%{src_name}_full-%{version}.tar.bz2
SUNW_BaseDir:           %{_basedir}
BuildRoot:              %{_tmppath}/%{name}-%{version}-build
%include default-depend.inc

%package devel
Summary:                 fontforge - developer files, /usr
SUNW_BaseDir:            %{_basedir}
Requires: %name
%include default-depend.inc

%prep
%setup -q -n %{src_name}-%{version}

%build
CPUS=`/usr/sbin/psrinfo | grep on-line | wc -l | tr -d ' '`
if test "x$CPUS" = "x" -o $CPUS = 0; then
    CPUS=1
fi
export CFLAGS="%{optflags}"
export LDFLAGS="%{_ldflags}"
ACARGS=""
[ -d %{_datadir}/aclocal ] && ACARGS="-I%{_datadir}/aclocal"
aclocal $ACARGS -I.
libtoolize --force
intltoolize --force --automake
autoconf
./configure --prefix=%{_prefix}		\
	    --bindir=%{_bindir}		\
	    --mandir=%{_mandir}		\
            --libdir=%{_libdir}		\
            --datadir=%{_datadir}	\
            --libexecdir=%{_libexecdir} \
            --sysconfdir=%{_sysconfdir} \
            --enable-shared		\
	    --disable-static		\
	    --with-freetype-src=no

make -j$CPUS 

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/lib*.la

%post
( echo 'test -x /usr/bin/update-desktop-database || exit 0';
  echo '/usr/bin/update-desktop-database'
) | $PKG_INSTALL_ROOT/usr/lib/postrun -b -u -c JDS_wait
( echo 'test -x %{_bindir}/update-mime-database || exit 0';
  echo '%{_bindir}/update-mime-database %{_datadir}/mime'
) | $PKG_INSTALL_ROOT/usr/lib/postrun -b -u -c JDS_wait
( echo 'test -x /usr/bin/scrollkeeper-update || exit 0';
  echo '/usr/bin/scrollkeeper-update'
) | $PKG_INSTALL_ROOT/usr/lib/postrun -b -u -c JDS

%postun
( echo 'test -x /usr/bin/update-desktop-database || exit 0';
  echo '/usr/bin/update-desktop-database'
) | $PKG_INSTALL_ROOT/usr/lib/postrun -b -u -c JDS_wait
( echo 'test -x %{_bindir}/update-mime-database || exit 0';
  echo '%{_bindir}/update-mime-database %{_datadir}/mime'
) | $PKG_INSTALL_ROOT/usr/lib/postrun -b -u -c JDS_wait
( echo 'test -x /usr/bin/scrollkeeper-update || exit 0';
  echo '/usr/bin/scrollkeeper-update'
) | $PKG_INSTALL_ROOT/usr/lib/postrun -b -u -c JDS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, bin)
%{_bindir}
%dir %attr (0755, root, bin) %{_libdir}
%{_libdir}/lib*.so*
%{_mandir}
%dir %attr (0755, root, sys) %{_datadir}
%{_datadir}/fontforge
%defattr (-, root, other)
%{_datadir}/locale

%files devel
%defattr (-, root, bin)
%dir %attr (0755, root, bin) %{_includedir}
%{_includedir}/*
%dir %attr (0755, root, bin) %{_libdir}
%dir %attr (0755, root, other) %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun May 11 2008 - river@wikimedia.org
- Don't pass -I to aclocal if the directory doesn't exist, since it causes a
  fatal error
- Use the correct path to postrun to prevent installs outside /usr from
  breaking.
* Wed Feb 20 2008 - halton.huo@sun.com
- Bump to 20080203, remove upstreamed patch destdir.diff.
- Update files for -devel 
* Mon Apr 23 2006 - dougs@truemail.co.th
- Initial version
